### Name: MEL
### Title: Logistic Regression Using Maximum Estimated Likelihood
### Aliases: MEL plot.MEL print.MEL summary.MEL
### Keywords: models

### ** Examples

  par(mfrow = c(2,1))
  ### Example 1 for function MEL: data set has overlap
  set.seed(314)
  n <- 500
  beta <- matrix(c(2), ncol=1)
  x <- matrix(rnorm(n), ncol=1)
  eta <- -3 + x 
  y <- rbinom(nrow(x), 1, plogis(eta))
  out <- MEL(x, y)
  print(out)
  summary(out)
  plot(out)
  title("overlap")

  ### Example 2 for function MEL: data set has no overlap
  y[eta <= -1] <- 0
  y[eta > -1] <- 1
  out <- MEL(x,y, delta=0.01)
  out
  plot(out)
  title("no overlap")

  ### Example 3 for function MEL: all responses are equal to 0
  y <- rep(0, nrow(x))
  MEL(x,y)

  ### Example 4 for function MEL: all responses are equal to 1
  y <- rep(1, nrow(x))
  out <- MEL(x,y)
  out 



