### Name: WEMEL
### Title: Robust Estimator in the Hidden Logistic Regression Model
### Aliases: WEMEL plot.WEMEL print.WEMEL summary.WEMEL
### Keywords: models

### ** Examples

  ### Example 1 for function WEMEL: data set has overlap
  set.seed(314)
  n <- 500
  beta <- matrix(c(3), ncol=1)
  x <- matrix(rnorm(n), ncol=1)
  eta <- -2 + x 
  y <- rbinom(nrow(x), 1, plogis(eta))
  out <- WEMEL(x, x, y)
  print(out)
  summary(out)
  plot(out)
  
  ### Example 2 for function WEMEL: 2 bad leverage points
  x[499:500] <- c(-10, 10)
  y[499:500] <- c(1, 0)
  out <- WEMEL(x, x, y, delta=0.01)
  out
  plot(out)
  
  ### Example 3 for function WEMEL: data set has no overlap
  eta <- -2 + x
  y[eta <= -1] <- 0
  y[eta > -1] <- 1
  out <- WEMEL(x, x, y, delta=0.01)
  out
  plot(out)  



